> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoliver.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Clients

> List clients using filters

<Warning>
  At least one of name, email, or phone must be provided as a query parameter. Max 100 clients will be returned per request, subject to rate limiting.
</Warning>


## OpenAPI

````yaml GET /services/core/open_api/v1/clients
openapi: 3.1.0
info:
  title: Oliver Partner API
  description: API for partners to interact with Oliver
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://partner-api.getoliver.com
security:
  - bearerAuth: []
paths:
  /services/core/open_api/v1/clients:
    get:
      description: List clients using filters
      parameters:
        - name: X-Client-Id
          in: header
          description: The location id of the practice
          required: true
          schema:
            type: string
        - name: name
          in: query
          description: Filter clients by name
          required: false
          schema:
            type: string
        - name: email
          in: query
          description: Filter clients by email
          required: false
          schema:
            type: string
        - name: phone
          in: query
          description: Filter clients by phone
          required: false
          schema:
            type: string
      responses:
        '200':
          description: List of clients found
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - data
                properties:
                  success:
                    type: boolean
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Client'
                  message:
                    type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralError'
components:
  schemas:
    Client:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
          description: The ID of the client
        name:
          type: string
          description: The name of the client
        email:
          type: string
          description: The email address of the client
        phone:
          type: string
          description: The phone number of the client
        patients:
          type: array
          description: List of patients associated with this client
          items:
            $ref: '#/components/schemas/Patient'
        remote_id:
          type: string
          description: >-
            The ID of the client in the remote system it was imported from, if
            available
    GeneralError:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
    Patient:
      type: object
      required:
        - id
        - name
        - client_id
      properties:
        id:
          type: string
          description: The ID of the patient
        name:
          type: string
          description: The name of the patient
        client_id:
          type: string
          description: The ID of the client that owns this patient
        species:
          type: string
          description: The species of the patient
        breed:
          type: string
          description: The breed of the patient
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````